> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Domain restrictions (User exemptions) resources

A set of endpoints for managing user exemptions to enterprise collaboration domain restrictions.

## Allowed collaboration domains user exemption

The user that is exempt from any of the restrictions imposed by the list of allowed collaboration domains for this enterprise.

<Accordion title="Attributes and example">
  | Property      | Type                                                | Required | Description                                                                                                                   |
  | ------------- | --------------------------------------------------- | -------- | ----------------------------------------------------------------------------------------------------------------------------- |
  | `id`          | `string`                                            | No       | The unique identifier for this exemption.                                                                                     |
  | `type`        | `enum<string>`                                      | No       | The value will always be `collaboration_whitelist_exempt_target`. Available options: `collaboration_whitelist_exempt_target`. |
  | `enterprise`  | `object`                                            | No       | A representation of a Box enterprise.                                                                                         |
  | `user`        | [User (Mini)](/reference/users-resources#user-mini) | No       | The user that has been exempt.                                                                                                |
  | `created_at`  | `string`                                            | No       | The time the entry was created.                                                                                               |
  | `modified_at` | `string`                                            | No       | The time the entry was modified.                                                                                              |

  ```json Example theme={null}
  {
    "id": "11446498",
    "type": "collaboration_whitelist_exempt_target",
    "enterprise": {
      "id": "11446498",
      "type": "enterprise",
      "name": "Acme Inc."
    },
    "user": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "created_at": "2012-12-12T10:53:43-08:00",
    "modified_at": "2012-12-12T10:53:43-08:00"
  }
  ```
</Accordion>

## Allowed collaboration domains user exemptions

A list of users exempt from any of the restrictions imposed by the list of allowed collaboration domains for this enterprise.

<Accordion title="Attributes and example">
  | Property      | Type                                                                                                   | Required | Description                                                                                                                                                                            |
  | ------------- | ------------------------------------------------------------------------------------------------------ | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `limit`       | `integer`                                                                                              | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                                                                                               | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |
  | `prev_marker` | `string`                                                                                               | No       | The marker for the start of the previous page of results. Can be `null`.                                                                                                               |
  | `entries`     | array of [Allowed collaboration domains user exemption](#allowed-collaboration-domains-user-exemption) | No       | A list of users exempt from any of the restrictions imposed by the list of allowed collaboration domains for this enterprise.                                                          |

  ```json Example theme={null}
  {
    "limit": 1000,
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
    "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
    "entries": [
      {
        "id": "11446498",
        "type": "collaboration_whitelist_exempt_target",
        "enterprise": {
          "id": "11446498",
          "type": "enterprise",
          "name": "Acme Inc."
        },
        "user": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "created_at": "2012-12-12T10:53:43-08:00",
        "modified_at": "2012-12-12T10:53:43-08:00"
      }
    ]
  }
  ```
</Accordion>
